---
search:
  tags:
    - pipeline
    - GET
seo:
  description: >-
    List stage configs. Reference for the GET
    /workspaces/{organizationId}/stage-configs endpoint in the Pile API.
sidebar:
  label: List stage configs
  badge: GET
title: List stage configs
type: openapi-operation
---
`GET /workspaces/{organizationId}/stage-configs`

**Responses**

- `200` — Stage configs for the workspace

Response example, 200:

```json
{
  "configs": [
    {
      "id": "string",
      "organizationId": "string",
      "entityType": "issue",
      "status": "string",
      "ownerAgent": "string",
      "instructions": "string",
      "advancePolicy": "none",
      "enabled": 0,
      "createdBy": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}
```
